////////////////////////////////////////////////////////////
// Calculator++ Language File
// Version : 2.0
// Last Modified : 2006-12-11 11:22:15
// Author : SiC
////////////////////////////////////////////////////////////
cxx.lang = {};

// English
cxx.lang["en"] = {

	"cxx_title": "Calculator++",

	"unknown_scriptengine": "Unknown Script Engine",

	"execute": "Execute!",
	"type_in_note": "* Please input the expression to evaluate.",
	"autorun_on": "Autorun: On",
	"autorun_off": "Autorun: Off",

	"cxx_conv_title": "Converter++",
	"invalid_input": "* Please input valid number",

	"conv_metric": "Metrics",
	"conv_british": "British",
	"conv_chinese": "Chinese",

	// ------------------------------
	"conv_length": "Length Conversion",

	"length_kilometer": "Kilometer",
	"length_meter": "Meter",
	"length_decimeter": "Decimeter",
	"length_centimeter": "Centimeter",
	"length_millimeter": "Millimeter",
	"length_micrometer": "Micrometer",
	"length_nanometer": "Nanometer",
	"length_angstrom": "Angstrom",

	"length_mile": "Mile",
	"length_foot": "Foot",
	"length_inch": "Inch",
	"length_league": "League",
	"length_furlong": "Furlong",
	"length_chain": "Chain",
	"length_rod": "Rod/Perch",
	"length_yard": "Yard",
	"length_link": "Link",
	"length_hand": "Hand",
	"length_mil": "Mil",

	"length_li": "Li (里)",
	"length_yin": "Yin (引)",
	"length_zhang": "Zhang (丈)",
	"length_bu": "Bu (步)",
	"length_chi": "Chi (尺)",
	"length_cun": "Cun (寸)",
	"length_fen": "Fen (分)",
	"length_li_s": "Small Li (厘)",
	"length_hao": "Hao (毫)",
	"length_si": "Si (丝)",
	"length_hu": "Hu (忽)",

	"conv_nautical": "Nautical",
	"length_sealeague": "Sea League",
	"length_seamile": "Sea Mile",
	"length_cable": "Cable",
	"length_shortcable": "Short Cable",
	"length_fathom": "Fathom",

	"conv_astronomical": "Astronomical",
	"length_redshift": "Red Shift",
	"length_parsec": "Parsec",
	"length_lightyear": "Lightyear",
	"length_astronomicalunit": "Astronomical Unit",
	"length_lightminute": "Light Minute",
	"length_lightsecond": "Light Second",

	"conv_font": "Font Size",
	"length_pica": "Pica",
	"length_point": "Point",
	"length_pixel": "Pixel",


	// ------------------------------
	"conv_area": "Area Conversion",

	"area_squarekilometer": "Square Kilometer",
	"area_squaremeter": "Square Meter",
	"area_squarecentimeter": "Square Centimeter",
	"area_squaremillimeter": "Square Millimeter",
	"area_hectare": "Hectare",
	"area_are": "Are",
	"area_barn": "Barn",

	"area_squaremile": "Square Mile",
	"area_squareyard": "Square Yard",
	"area_squarefoot": "Square Foot",
	"area_squareinch": "Square Inch",
	"area_squarerod": "Square Rod/Perch",
	"area_square": "Square",
	"area_acre": "Acre",
	"area_rood": "Rood",
	"area_homestead": "Homestead",
	"area_township": "Township",

	"area_qing": "Qing (顷)",
	"area_mu": "Mu (亩)",
	"area_fen": "Fen (分)",
	"area_li": "Small Li (厘)",
	"area_squarezhang": "Square Zhang (平方丈)",
	"area_squarechi": "Square Chi (平方尺)",
	"area_squarecun": "Square Cun (平方寸)",


	// ------------------------------
	"conv_volume": "Volume Conversion",

	"volume_cubicmeter": "Cubic Meter",
	"volume_cubicdecimeter": "Cubic Decimeter",
	"volume_cubiccentimeter": "Cubic Centimeter",
	"volume_cubicmillimeter": "Cubic Millimeter",
	"volume_liter": "Liter",
	"volume_milliliter": "Milliliter",
	"volume_microliter": "Microliter",

	"conv_us_liquid": "US Liquid Units",
	"volume_acrefoot": "Acre Foot",
	"volume_barrel_petroleum": "Barrel - Petroleum",
	"volume_gallon": "Gallon",
	"volume_quart": "Quart",
	"volume_pint": "Pint",
	"volume_gill": "Gill",
	"volume_fluidounce": "Fluid Ounce",
	"volume_fluiddram": "Fluid Dram",
	"volume_minim": "Minim",

	"conv_us_dry": "US Dry Units",
	"volume_barrel": "Barrel",
	"volume_bushel": "Bushel",
	"volume_peck": "Peck",

	"volume_cubicyard": "Cubic Yard",
	"volume_cubicfoot": "Cubic Foot",
	"volume_cubicinch": "Cubic Inch",

	"conv_cook": "Cooking",
	"volume_cup": "Cup",
	"volume_tablespoon": "Table Spoon",
	"volume_teaspoon": "Tea Spoon",

	"volume_dan": "Dan/Hu (石/斛)",
	"volume_dou": "Dou (斗)",
	"volume_sheng": "Sheng (升)",
	"volume_ge": "Ge (合)",
	"volume_shao": "Shao (勺)",
	"volume_cuo": "Cuo (撮)",

	// ------------------------------
	"conv_weight": "Weight Conversion",

	"weight_tonne": "Tonne",
	"weight_kilogram": "Kilogram",
	"weight_gram": "Gram",
	"weight_milligram": "Milligram",
	"weight_microgram": "Microgram",
	"weight_newton": "Newton",
	"weight_carat": "Carat",
	"weight_atomicmassunit": "Atomic Mass Unit (AMU)",

	"weight_longton_uk": "Long Ton (UK)",
	"weight_shortton_us": "Short Ton (US)",
	"weight_pound": "Pound",
	"weight_ounce": "Ounce",
	"weight_dram": "Dram",
	"weight_grain": "Grain",

	"weight_dan": "Dan (担)",
	"weight_jin": "Jin (斤)",
	"weight_liang": "Liang (两)",
	"weight_qian": "Qian (钱)",
	"weight_fen": "Fen (分)",
	"weight_li": "Small Li (厘)",
	"weight_hao": "Hao (毫)",
	"weight_si": "Si (丝)",
	"weight_hu": "Hu (忽)",

	"conv_troy": "Troy",
	"weight_pennyweight": "Pennyweight",
	"weight_mite": "Mite",
	"weight_doite": "Doite",

	"conv_apothecaries": "Apothecaries",
	"weight_scruple": "Scruple",

	// ------------------------------
	"conv_angle": "Angle Conversion",

	"angle_degree": "Degree",
	"angle_minute": "Minute",
	"angle_second": "Second",
	"angle_radian": "Radian",

	// ------------------------------
	"conv_temperature": "Temperature Conversion",

	"temperature_celsius": "Celsius",
	"temperature_fahrenheit": "Fahrenheit",
	"temperature_kelvin": "Kelvin)",
	"temperature_impossible": "* The result does not obey physical theory",

	// ------------------------------
	"conv_energy": "Energy Conversion",

	"energy_kilojoule": "Kilojoule",
	"energy_joule": "Joule",

	"energy_kilocalorie": "Kilocalorie",
	"energy_calorie": "Calorie",
	"energy_metrekilogram": "Metre Kilogram (mkg)",
	"energy_kilowatthour": "Kilowatt Hour (kWh)",
	"energy_watthour": "Watt Hour (Wh)",
	"energy_wattsecond": "Watt Second (Ws)",
	"energy_erg": "Erg",
	"energy_electronvolt": "Electron Volt (eV)",

	"energy_quad": "Quad",
	"energy_therm": "Therm",
	"energy_britishthermalunit": "British Thermal Unit (BTU)",
	"energy_footpound": "Foot Pound",

	// ------------------------------
	"conv_numeral": "Numeral Conversion",

	"numeral_binary": "Binary",
	"numeral_octal": "Octal",
	"numeral_decimal": "Decimal",
	"numeral_hexadecimal": "Hexadecimal",

	// ------------------------------
	"conv_storage": "Computer Storage Unit",
	"storage_bit": "Bit (b)",
	"storage_byte": "Byte (B)",
	"storage_kilobyte": "Kilobyte (KB)",
	"storage_megabyte": "Megabyte (MB)",
	"storage_gigabyte": "Gigabyte (GB)",
	"storage_terabyte": "Terabyte (TB)",

	// Help
	"help": "Help",
	"help_text":
		'<h4>Overview</h4>' +
		'<p>This is a Javscript based programmable scientific calculator. And it\'s also a Javscript evaluator for script coders.</p>' +
		'<p>Due to the Javscript floating point precision problem, the result might not be precise for floating point numbers.</p>' +

		'<h4>Constants</h4>' +
		'<p><b>Pi</b><br/> gives the Pi (3.1415...).</p>' +
		'<p><b>E</b><br/> gives the exponential constant (2.7182...).</p>' +
		'<p><b>GoldenRatio</b><br/> gives the Golden Ratio (1.6180...).</p>' +

		'<h4>Mathematic Features</h4>' +
		'<p><b>x+y</b><br/> gives x plus y.</p>' +
		'<p><b>x-y</b><br/> gives x minus y.</p>' +
		'<p><b>x*y</b><br/> gives x multiply y.</p>' +
		'<p><b>x/y</b><br/> gives x divide y.</p>' +
		'<p><b>x%y</b><br/> gives the remainder on division of x by y.</p>' +
		'<p><b>x^y</b><br/> gives x to the power y.</p>' +
		'<p><b>n!</b><br/> gives the factorial of n.</p>' +
		'<p><b>@n</b><br/> gives the square root of n.</p>' +
		'<p><b>n Degree</b><br/> gives the number of radians in n degree.</p>' +

		'<h4>Numerical Functions</h4>' +
		'<p><b>Abs(x)</b><br/> gives the absolute value of x.</p>' +
		'<p><b>Sign(x)</b><br/> gives the sign of x (-1, 0, 1).</p>' +
		'<p><b>Round(x)</b><br/> gives the integer closest to x.</p>' +
		'<p><b>IntegerPart(x)</b><br/> gives the integer part of x.</p>' +
		'<p><b>FractionalPart(x)</b><br/> gives the fractional part of x.</p>' +
		'<p><b>Floor(x)</b><br/> gives the greatest integer less than or equal to x.</p>' +
		'<p><b>Ceiling(x)</b><br/> gives the smallest integer greater than or equal to x.</p>' +
		'<p><b>Mod(x, y)</b><br/> gives the remainder on division of x by y.</p>' +

		'<h4>Random Function</h4>' +
		'<p><b>Random()</b><br/>  gives a pseudorandom Real in the range [0, 1].</p>' +
		'<p><b>Random("Integer")</b><br/> gives an Integer 0 or 1.</p>' +
		'<p><b>Random("Integer", x)</b><br/> gives an Integer in the range [0, x].</p>' +
		'<p><b>Random("Integer", x, y)</b><br/> gives an Integer in the range [x, y].</p>' +
		'<p><b>Random("Real")</b><br/> gives an Real in the range [0, 1].</p>' +
		'<p><b>Random("Real", x)</b><br/> gives an Real in the range [0, x].</p>' +
		'<p><b>Random("Real", x, y)</b><br/> gives an Real in the range [x, y].</p>' +

		'<h4>Elementary Functions</h4>' +
		'<p><b>Log(x)</b><br/> gives the natural logarithm of x.</p>' +
		'<p><b>Log(b, x)</b><br/> gives the logarithm of x to base b.</p>' +
		'<p><b>Ln(x)</b><br/> gives the natural logarithm of x.</p>' +
		'<p><b>Lg(x)</b><br/> gives the 10 based logarithm of x.</p>' +
		'<p><b>Exp(x)</b><br/> the exponential function.</p>' +
		'<p><b>Power(x, y)</b><br/> gives x to the power y.</p>' +
		'<p><b>Sqrt(x)</b><br/> gives the square root of x.</p>' +
		'<p><b>Factorial(x)</b><br/> gives the factorial of x.</p>' +

		'<h4>Triangle Functions</h4>' +
		'<p><b>ToRadian(x)</b><br/> converts the x radians to degrees.</p>' +
		'<p><b>ToDegree(x)</b><br/> converts the x degrees to radians.</p>' +
		'<p><b>Sin(x)</b><br/> gives the sine of x radians.</p>' +
		'<p><b>Cos(x)</b><br/> gives the cosine of x radians.</p>' +
		'<p><b>Tan(x)</b><br/> gives the tangent of x radians.</p>' +
		'<p><b>Csc(x)</b><br/> gives the cosecant of x radians.</p>' +
		'<p><b>Sec(x)</b><br/> gives the secant of x radians.</p>' +
		'<p><b>Cot(x)</b><br/> gives the cotangent of x radians.</p>' +
		'<p><b>ArcSin(x)</b><br/> gives the arc sine of x radians.</p>' +
		'<p><b>ArcCos(x)</b><br/> gives the arc cosine of x radians.</p>' +
		'<p><b>ArcTan(x)</b><br/> gives the arc tangent of x radians.</p>' +
		'<p><b>ArcCsc(x)</b><br/> gives the arc cosecant of x radians.</p>' +
		'<p><b>ArcSec(x)</b><br/> gives the arc secant of x radians.</p>' +
		'<p><b>ArcCot(x)</b><br/> gives the arc cotangent of x radians.</p>' +

		'<p></p>',

	"null": "null"

}
cxx.lang["0x0409"] = cxx.lang["en"];

// Simplified Chinese
cxx.lang["zh-cn"] = {

	"cxx_title": "计算器++",

	"unknown_scriptengine": "未知脚本引擎",

	"execute": "立即执行!",
	"type_in_note": "* 请在上面的输入框中输入您要计算的内容.",
	"autorun_on": "自动执行: 开启",
	"autorun_off": "自动执行: 关闭",
	"help": "帮助",

	"cxx_conv_title": "换算器++",
	"invalid_input": "* 请输入有效的数值",

	"conv_metric": "公制",
	"conv_british": "英制",
	"conv_chinese": "中国市制",

	// ------------------------------
	"conv_length": "长度单位转换",

	"length_kilometer": "千米",
	"length_meter": "米",
	"length_decimeter": "分米",
	"length_centimeter": "厘米",
	"length_millimeter": "毫米",
	"length_micrometer": "微米",
	"length_nanometer": "纳米",
	"length_angstrom": "埃(Angstrom)",

	"length_mile": "英里(Mile)",
	"length_foot": "英尺(Foot)",
	"length_inch": "英寸(Inch)",
	"length_league": "里格(League)",
	"length_furlong": "弗隆(Furlong)",
	"length_chain": "链(Chain)",
	"length_rod": "杆(Rod/Perch)",
	"length_yard": "码(Yard)",
	"length_link": "令(Link)",
	"length_hand": "手(Hand)",
	"length_mil": "密耳(Mil)",

	"length_li": "里",
	"length_yin": "引",
	"length_zhang": "丈",
	"length_bu": "步",
	"length_chi": "尺",
	"length_cun": "寸",
	"length_fen": "分",
	"length_li_s": "厘",
	"length_hao": "毫",
	"length_si": "丝",
	"length_hu": "忽",

	"conv_nautical": "海洋单位",
	"length_sealeague": "海里格(Sea League)",
	"length_seamile": "海里(Sea Mile)",
	"length_cable": "链(Cable)",
	"length_shortcable": "短链(Short Cable)",
	"length_fathom": "英寻(Fathom)",

	"conv_astronomical": "天文学单位",
	"length_redshift": "红移(Red Shift)",
	"length_parsec": "秒差(Parsec)",
	"length_lightyear": "光年(Lightyear)",
	"length_astronomicalunit": "天文单位(Astronomical Unit)",
	"length_lightminute": "光分(Light Minute)",
	"length_lightsecond": "光秒(Light Second)",

	"conv_font": "字号",
	"length_pica": "12 点西文字符(Pica)",
	"length_point": "点(Point)",
	"length_pixel": "像素(Pixel)",


	// ------------------------------
	"conv_area": "面积单位转换",

	"area_squarekilometer": "平方千米",
	"area_squaremeter": "平方米",
	"area_squarecentimeter": "平方厘米",
	"area_squaremillimeter": "平方毫米",
	"area_hectare": "公顷",
	"area_are": "公亩",
	"area_barn": "靶恩(Barn)",

	"area_squaremile": "平方英里(Square Mile)",
	"area_squareyard": "平方码(Square Yard)",
	"area_squarefoot": "平方英尺",
	"area_squareinch": "平方英寸",
	"area_squarerod": "平方杆(Square Rod/Perch)",
	"area_square": "方(Square)",
	"area_acre": "英亩(Acre)",
	"area_rood": "陆得(Rood)",
	"area_homestead": "Homestead",
	"area_township": "Township",

	"area_qing": "顷",
	"area_mu": "亩",
	"area_fen": "分",
	"area_li": "厘",
	"area_squarezhang": "平方丈",
	"area_squarechi": "平方尺",
	"area_squarecun": "平方寸",


	// ------------------------------
	"conv_volume": "体积单位转换",

	"volume_cubicmeter": "立方米",
	"volume_cubicdecimeter": "立方分米",
	"volume_cubiccentimeter": "立方厘米",
	"volume_cubicmillimeter": "立方毫米",
	"volume_liter": "升",
	"volume_milliliter": "毫升",
	"volume_microliter": "微升",

	"conv_us_liquid": "美国液量单位",
	"volume_acrefoot": "英亩英尺(Acre Foot)",
	"volume_barrel_petroleum": "油桶(Barrel - Petroleum)",
	"volume_gallon": "加仑(Gallon)",
	"volume_quart": "夸脱(Quart)",
	"volume_pint": "品脱(Pint)",
	"volume_gill": "及耳(Gill)",
	"volume_fluidounce": "液量盎司(Fluid Ounce)",
	"volume_fluiddram": "液量打兰(Fluid Dram)",
	"volume_minim": "量滴(Minim)",

	"conv_us_dry": "美国干量单位",
	"volume_barrel": "桶(Barrel)",
	"volume_bushel": "蒲式耳(Bushel)",
	"volume_peck": "配克(Peck)",

	"volume_cubicyard": "立方码(Cubic Yard)",
	"volume_cubicfoot": "立方英尺(Cubic Foot)",
	"volume_cubicinch": "立方英寸(Cubic Inch)",

	"conv_cook": "烹饪单位",
	"volume_cup": "杯(Cup)",
	"volume_tablespoon": "汤匙(Table Spoon)",
	"volume_teaspoon": "茶匙(Tea Spoon)",

	"volume_dan": "石/斛",
	"volume_dou": "斗",
	"volume_sheng": "升",
	"volume_ge": "合",
	"volume_shao": "勺",
	"volume_cuo": "撮",

	// ------------------------------
	"conv_weight": "重量单位转换",

	"weight_tonne": "吨",
	"weight_kilogram": "千克",
	"weight_gram": "克",
	"weight_milligram": "毫克",
	"weight_microgram": "微克",
	"weight_newton": "牛顿(Newton)",
	"weight_carat": "克拉(Carat)",
	"weight_atomicmassunit": "原子质量单位(AMU)",

	"weight_longton_uk": "英吨(Long Ton)",
	"weight_shortton_us": "美吨(Short Ton)",
	"weight_pound": "磅(Pound)",
	"weight_ounce": "盎司(Ounce)",
	"weight_dram": "打兰(Dram)",
	"weight_grain": "格令(Grain)",

	"weight_dan": "担",
	"weight_jin": "斤",
	"weight_liang": "两",
	"weight_qian": "钱",
	"weight_fen": "分",
	"weight_li": "厘",
	"weight_hao": "毫",
	"weight_si": "丝",
	"weight_hu": "忽",

	"conv_troy": "金衡制",
	"weight_pennyweight": "本尼威特(Pennyweight)",
	"weight_mite": "Mite",
	"weight_doite": "Doite",

	"conv_apothecaries": "药衡制",
	"weight_scruple": "吩(Scruple)",

	// ------------------------------
	"conv_angle": "角度单位换算",

	"angle_degree": "度",
	"angle_minute": "分",
	"angle_second": "秒",
	"angle_radian": "弧度",

	// ------------------------------
	"conv_temperature": "温度单位换算",

	"temperature_celsius": "摄氏度(Celsius)",
	"temperature_fahrenheit": "华氏度(Fahrenheit)",
	"temperature_kelvin": "开尔文(Kelvin)",
	"temperature_impossible": "* 计算结果不符合物理定律",

	// ------------------------------
	"conv_energy": "能量单位换算",

	"energy_kilojoule": "千焦",
	"energy_joule": "焦耳(Joule)",

	"energy_kilocalorie": "千卡",
	"energy_calorie": "卡路里(Calorie)",
	"energy_metrekilogram": "米千克(mkg)",
	"energy_kilowatthour": "千瓦小时(kWh)",
	"energy_watthour": "瓦特小时(Wh)",
	"energy_wattsecond": "瓦特秒(Ws)",
	"energy_erg": "尔格(Erg)",
	"energy_electronvolt": "电子伏特(eV)",

	"energy_quad": "Quad",
	"energy_therm": "克卡(Therm)",
	"energy_britishthermalunit": "英国热力单位(BTU)",
	"energy_footpound": "英尺磅力(fp)",

	// ------------------------------
	"conv_numeral": "数值进制换算",

	"numeral_binary": "二进制",
	"numeral_octal": "八进制",
	"numeral_decimal": "十进制",
	"numeral_hexadecimal": "十六进制",

	// ------------------------------
	"conv_storage": "计算机存储单位",
	"storage_bit": "位 Bit (b)",
	"storage_byte": "字节 Byte (B)",
	"storage_kilobyte": "千字节 Kilobyte (KB)",
	"storage_megabyte": "兆字节 Megabyte (MB)",
	"storage_gigabyte": "Gigabyte (GB)",
	"storage_terabyte": "Terabyte (TB)",

	"help_text":
		'<h4>概览</h4>' +
		'<p>这是一个基于 Javscript 的可编程科学计算器. 同时也是一个给脚本编写者的 Javscript 测试器.</p>' +
		'<p>由于 Javscript 的浮点精度问题, 浮点数的计算结果可能不准确.</p>' +

		'<h4>常数</h4>' +
		'<p><b>Pi</b><br/> 返回圆周率 &pi; (3.1415...).</p>' +
		'<p><b>E</b><br/> 返回自然常数 e (2.7182...).</p>' +
		'<p><b>GoldenRatio</b><br/> 返回黄金分割率 (1.6180...).</p>' +

		'<h4>数学运算</h4>' +
		'<p><b>x+y</b><br/> 返回 x 加 y.</p>' +
		'<p><b>x-y</b><br/> 返回 x 减 y.</p>' +
		'<p><b>x*y</b><br/> 返回 x 乘以 y.</p>' +
		'<p><b>x/y</b><br/> 返回 x 除以 y.</p>' +
		'<p><b>x%y</b><br/> 返回 x 除以 y 的余数.</p>' +
		'<p><b>x^y</b><br/> 返回 x 的 y 次方.</p>' +
		'<p><b>n!</b><br/> 返回 n 的阶乘.</p>' +
		'<p><b>@n</b><br/> 返回 n 的平方根.</p>' +
		'<p><b>n Degree</b><br/> 返回 n 角度对应的弧度.</p>' +

		'<h4>数值函数</h4>' +
		'<p><b>Abs(x)</b><br/> 返回 x 的绝对值.</p>' +
		'<p><b>Sign(x)</b><br/> 返回 x 的符号(-1, 0, 1).</p>' +
		'<p><b>Round(x)</b><br/> 返回最接近 x 的整数.</p>' +
		'<p><b>IntegerPart(x)</b><br/> 返回 x 的整数部分.</p>' +
		'<p><b>FractionalPart(x)</b><br/> 返回 x 的小数部分.</p>' +
		'<p><b>Floor(x)</b><br/> 返回小于等于 x 的最大整数.</p>' +
		'<p><b>Ceiling(x)</b><br/> 返回大于等于 x 的最小整数.</p>' +
		'<p><b>Mod(x, y)</b><br/> 返回 x 除以 y 的余数.</p>' +

		'<h4>随机函数</h4>' +
		'<p><b>Random()</b><br/> 返回 [0, 1] 之间的一个实数.</p>' +
		'<p><b>Random("Integer")</b><br/> 返回整数 0 或 1.</p>' +
		'<p><b>Random("Integer", x)</b><br/> 返回 [0, x] 之间的整数.</p>' +
		'<p><b>Random("Integer", x, y)</b><br/> 返回 [x, y] 之间的整数.</p>' +
		'<p><b>Random("Real")</b><br/> 返回 [0, 1] 之间的实数.</p>' +
		'<p><b>Random("Real", x)</b><br/> 返回 [0, x] 之间的实数.</p>' +
		'<p><b>Random("Real", x, y)</b><br/> 返回 [x, y] 之间的实数.</p>' +

		'<h4>初等函数</h4>' +
		'<p><b>Log(x)</b><br/> 返回 x 的自然对数.</p>' +
		'<p><b>Log(b, x)</b><br/> 返回底数为 b 的 x 的对数.</p>' +
		'<p><b>Exp(x)</b><br/> 指数函数.</p>' +
		'<p><b>Power(x, y)</b><br/> 返回 x 的 y 次方.</p>' +
		'<p><b>Sqrt(x)</b><br/> 返回 x 的平方根.</p>' +
		'<p><b>Factorial(x)</b><br/> 返回 x 的阶乘.</p>' +

		'<h4>三角函数</h4>' +
		'<p><b>ToRadian(x)</b><br/> 将 x 弧度转化为角度.</p>' +
		'<p><b>ToDegree(x)</b><br/> 将 x 角度转换为弧度.</p>' +
		'<p><b>Sin(x)</b><br/> 返回 x 弧度的正弦值.</p>' +
		'<p><b>Cos(x)</b><br/> 返回 x 弧度的余弦值.</p>' +
		'<p><b>Tan(x)</b><br/> 返回 x 弧度的正切值.</p>' +
		'<p><b>Csc(x)</b><br/> 返回 x 弧度的余割值.</p>' +
		'<p><b>Sec(x)</b><br/> 返回 x 弧度的正割值.</p>' +
		'<p><b>Cot(x)</b><br/> 返回 x 弧度的余切值.</p>' +
		'<p><b>ArcSin(x)</b><br/> 返回 x 弧度的反正弦值.</p>' +
		'<p><b>ArcCos(x)</b><br/> 返回 x 弧度的反余弦值.</p>' +
		'<p><b>ArcTan(x)</b><br/> 返回 x 弧度的反正切值.</p>' +
		'<p><b>ArcCsc(x)</b><br/> 返回 x 弧度的反余割值.</p>' +
		'<p><b>ArcSec(x)</b><br/> 返回 x 弧度的反正割值.</p>' +
		'<p><b>ArcCot(x)</b><br/> 返回 x 弧度的反余切值.</p>' +

		'<p></p>',

	"null": "null"

}
cxx.lang["0x0804"] = cxx.lang["zh-cn"];
